Dev guideRecipesAPI ReferenceChangelog
Dev guideRecipesUser GuidesNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Modify a SCIM user by ID

SCIM endpoint for modifying a user by their ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The patch user endpoint selectively modifies the attributes of the user indicated by the ID parameter. You can replace (but not add or remove) the values for the following attributes:

  • name.familyName – The last name of the user.
  • name.givenName – The first name of the user.

You cannot replace, add, or remove the values for the following attributes:

  • userName – Mapped to the email of the user.

If you send the active attribute in the payload with a value of false, the user is permanently deleted from Opti ID.

SCIM RFC compliance

Aside from the notes above, this endpoint fully complies with the SCIM RFC as it relates to the supported schema. Complex paths are also not supported, like the following examples:

  • "path":"addresses[type eq \"work\"]"
  • "path":"members[value eq \"2819c223-7f76-453a-919d-413861904646\"].displayName"

API payload

{  
    "schemas": [  
        "urn:ietf:params:scim:api:messages:2.0:PatchOp"  
    ],  
    "Operations": [  
        {  
            "op": "replace",  
            "path": "name.givenName",  
            "value": "ryan3"  
        }  
    ]  
}

Other flavors of the payload are supported as well. For example, a replace operation without a path where the value implies the attribute path and its value.

Error conditions

  • 404 (Not Found) – A user with the specified ID is not found.
  • 400 (Bad Request) – The patch operation syntax is invalid, or Opti ID does not support the patch operation.
Path Params
string
required

ID of the user to modify.

Body Params

Details used to modify an existing user.

operations
array of objects
operations
schemas
array of strings
schemas
Responses

401

Unauthorized access to endpoint.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json